function init(hero) {
    hero.setName("Legacy Spectre");
    hero.setCosmic();
    hero.setTier(6);
    hero.hide();
    
    hero.setHelmet("item.superhero_armor.piece.cloak");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:compound_bow");
    hero.addEquipment("fiskheroes:quiver");
    
    hero.addPowers("legacyheroes:legacy_spirit_physiology");
    hero.addPowers("fiskheroes:archery");

    hero.addAttribute("PUNCH_DAMAGE", 19.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("BOW_DRAWBACK", 0.55, 1);
    
    hero.addKeyBind("ENERGY_PROJECTION", "key.energyProjection", 1);
    hero.addKeyBind("TELEPORT", "key.teleport", 2);
    hero.addKeyBind("HOVER", "key.levitate", 3);
    
    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
